[babl] autogen.sh: Use autoreconf instead custom script
- From: Javier JardÃn <jjardon src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [babl] autogen.sh: Use autoreconf instead custom script
- Date: Mon, 17 Oct 2011 02:03:34 +0000 (UTC)
commit 16baeb7a185151643b99034d730e273ad3df1e53
Author: Javier JardÃn <jjardon gnome org>
Date: Mon Oct 17 03:00:44 2011 +0100
autogen.sh: Use autoreconf instead custom script
autogen.sh | 210 ++---------------------------------------------------------
1 files changed, 8 insertions(+), 202 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index d0b5fc5..aa5b7a9 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -9,213 +9,19 @@
# tools and you shouldn't use this script. Just call ./configure
# directly.
-ACLOCAL=${ACLOCAL-aclocal}
-AUTOCONF=${AUTOCONF-autoconf}
-AUTOHEADER=${AUTOHEADER-autoheader}
-AUTOMAKE=${AUTOMAKE-automake}
-LIBTOOLIZE=${LIBTOOLIZE-libtoolize}
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
-AUTOCONF_REQUIRED_VERSION=2.54
-AUTOMAKE_REQUIRED_VERSION=1.9.6
-LIBTOOL_REQUIRED_VERSION=1.5
-
-
-PROJECT="BABL"
-TEST_TYPE=-d
-
-
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
ORIGDIR=`pwd`
cd $srcdir
-
-check_version ()
-{
- VERSION_A=$1
- VERSION_B=$2
-
- save_ifs="$IFS"
- IFS=.
- set dummy $VERSION_A 0 0 0
- MAJOR_A=$2
- MINOR_A=$3
- MICRO_A=$4
- set dummy $VERSION_B 0 0 0
- MAJOR_B=$2
- MINOR_B=$3
- MICRO_B=$4
- IFS="$save_ifs"
-
- if expr "$MAJOR_A" = "$MAJOR_B" > /dev/null; then
- if expr "$MINOR_A" \> "$MINOR_B" > /dev/null; then
- echo "yes (version $VERSION_A)"
- elif expr "$MINOR_A" = "$MINOR_B" > /dev/null; then
- if expr "$MICRO_A" \>= "$MICRO_B" > /dev/null; then
- echo "yes (version $VERSION_A)"
- else
- echo "Too old (version $VERSION_A)"
- DIE=1
- fi
- else
- echo "Too old (version $VERSION_A)"
- DIE=1
- fi
- elif expr "$MAJOR_A" \> "$MAJOR_B" > /dev/null; then
- echo "Major version might be too new ($VERSION_A)"
- else
- echo "Too old (version $VERSION_A)"
- DIE=1
- fi
-}
-
-echo
-echo "I am testing that you have the tools required to build the"
-echo "$PROJECT project from git. This test is not foolproof,"
-echo "so if anything goes wrong, see the file HACKING for more information..."
-echo
-
-DIE=0
-
-
-echo -n "checking for libtool >= $LIBTOOL_REQUIRED_VERSION ... "
-if ($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1; then
- LIBTOOLIZE=$LIBTOOLIZE
-elif (glibtoolize --version) < /dev/null > /dev/null 2>&1; then
- LIBTOOLIZE=glibtoolize
-else
- echo
- echo " You must have libtool installed to compile $PROJECT."
- echo " Install the appropriate package for your distribution,"
- echo " or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
- echo
- DIE=1
-fi
-
-if test x$LIBTOOLIZE != x; then
- VER=`$LIBTOOLIZE --version \
- | grep libtool | sed "s/.* \([0-9.]*\)[-a-z0-9]*$/\1/"`
- check_version $VER $LIBTOOL_REQUIRED_VERSION
-fi
-
-
-echo -n "checking for autoconf >= $AUTOCONF_REQUIRED_VERSION ... "
-if ($AUTOCONF --version) < /dev/null > /dev/null 2>&1; then
- VER=`$AUTOCONF --version | head -n 1 \
- | grep -iw autoconf | sed "s/.* \([0-9.]*\)[-a-z0-9]*$/\1/"`
- check_version $VER $AUTOCONF_REQUIRED_VERSION
-else
- echo
- echo " You must have autoconf installed to compile $PROJECT."
- echo " Download the appropriate package for your distribution,"
- echo " or get the source tarball at ftp://ftp.gnu.org/pub/gnu/autoconf/"
- echo
- DIE=1;
-fi
-
-
-echo -n "checking for automake >= $AUTOMAKE_REQUIRED_VERSION ... "
-if ($AUTOMAKE --version) < /dev/null > /dev/null 2>&1; then
- AUTOMAKE=$AUTOMAKE
- ACLOCAL=$ACLOCAL
-elif (automake-1.11 --version) < /dev/null > /dev/null 2>&1; then
- AUTOMAKE=automake-1.11
- ACLOCAL=aclocal-1.11
-elif (automake-1.10 --version) < /dev/null > /dev/null 2>&1; then
- AUTOMAKE=automake-1.10
- ACLOCAL=aclocal-1.10
-elif (automake-1.9 --version) < /dev/null > /dev/null 2>&1; then
- AUTOMAKE=automake-1.9
- ACLOCAL=aclocal-1.9
-else
- echo
- echo " You must have automake $AUTOMAKE_REQUIRED_VERSION or newer installed to compile $PROJECT."
- echo " Download the appropriate package for your distribution,"
- echo " or get the source tarball at ftp://ftp.gnu.org/pub/gnu/automake/"
- echo
- DIE=1
-fi
-
-if test x$AUTOMAKE != x; then
- VER=`$AUTOMAKE --version \
- | grep automake | sed "s/.* \([0-9.]*\)[-a-z0-9]*$/\1/"`
- check_version $VER $AUTOMAKE_REQUIRED_VERSION
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+ echo "*** No autoreconf found, please intall it ***"
+ exit 1
fi
-
-if test "$DIE" -eq 1; then
- echo
- echo "Please install/upgrade the missing tools and call me again."
- echo
- exit 1
-fi
-
-
-echo
-echo "I am going to run ./configure with the following arguments:"
-echo
-echo " $AUTOGEN_CONFIGURE_ARGS $@"
-echo
-
-if test -z "$*"; then
- echo "If you wish to pass additional arguments, please specify them "
- echo "on the $0 command line or set the AUTOGEN_CONFIGURE_ARGS "
- echo "environment variable."
- echo
-fi
-
-
-ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I m4"
-if test -z "$ACLOCAL_FLAGS"; then
-
- acdir=`$ACLOCAL --print-ac-dir`
- m4list="pkg.m4"
-
- for file in $m4list
- do
- if [ ! -f "$acdir/$file" ]; then
- echo
- echo "WARNING: aclocal's directory is $acdir, but..."
- echo " no file $acdir/$file"
- echo " You may see fatal macro warnings below."
- echo " If these files are installed in /some/dir, set the "
- echo " ACLOCAL_FLAGS environment variable to \"-I /some/dir\""
- echo " or install $acdir/$file."
- echo
- fi
- done
-fi
-
-rm -rf autom4te.cache
-
-$ACLOCAL $ACLOCAL_FLAGS
-RC=$?
-if test $RC -ne 0; then
- echo "$ACLOCAL gave errors. Please fix the error conditions and try again."
- exit $RC
-fi
-
-$LIBTOOLIZE --force || exit $?
-
-# optionally feature autoheader
-($AUTOHEADER --version) < /dev/null > /dev/null 2>&1 && $AUTOHEADER || exit 1
-
-$AUTOMAKE --add-missing || exit $?
-$AUTOCONF || exit $?
+autoreconf --force --install --verbose
cd $ORIGDIR
-
-echo
-echo "Running ./configure..."
-echo
-
-$srcdir/configure $AUTOGEN_CONFIGURE_ARGS "$@"
-RC=$?
-if test $RC -ne 0; then
- echo
- echo "Configure failed or did not finish!"
- exit $RC
-fi
-
-echo
-echo "Now type 'make' to compile $PROJECT."
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]